# -*- coding: utf-8 -*-
import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")
from EasyScript import *
EasyScript = EasyScript()

URL="http://qshare.com/"

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※【免空科學研究所 　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】※")
UI.UpdateLog("※～㊣　　　　　　　　 　　傻Ｂ　　製作分享　　　　　　　㊣～※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13")
UI.UpdateLog("【上傳空間】：qshare.com")
UI.UpdateLog("【上傳大小】：4 GB")
UI.UpdateLog("【砍檔時間】：未知")
UI.UpdateLog("【腳本功能】：無帳號上傳")
UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)

HTML=HTTP.GetURL(URL)
UI.UpdateLog("開始進入上傳頁面…",2)
UP_ID=EasyScript.GetstrToVariable(HTML,'form-data" ACTION="','"',1)
UP_LINK="http://s1.qshare.com"+UP_ID
sysm=EasyScript.GetstrToVariable(HTML,'sysm" VALUE="','"',1)
sysf=EasyScript.GetstrToVariable(HTML,'sysf" VALUE="','"',1)
cmd=EasyScript.GetstrToVariable(HTML,'cmd" VALUE="','"',1)
HTTP.AddUpParam("sysm",sysm)
HTTP.AddUpParam("sysf",sysf)
HTTP.AddUpParam("cmd",cmd)
HTTP.AddUpParam("index","1")
HTTP.AddFileReference("file_1")
HTML=UI.UpFile(UP_LINK)
DL_ID=EasyScript.GetstrToVariable(HTML,'http://qshare.com/get/','"',1)
DE_ID=EasyScript.GetstrToVariable(HTML,'http://qshare.com/del/','"',1)
if DL_ID!=False:
	DL_LINK="http://qshare.com/get/"+DL_ID
	DE_LINK="http://qshare.com/del/"+DE_ID
	UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
        UI.UpdateLog("下載連結：",4)
        UI.UpdateLog(DL_LINK)
        UI.UpdateLog("刪檔連結：",3)
        UI.UpdateLog(DE_LINK)
        UI.AddShareLink(DL_LINK)
        UI.ProceSuccess()
else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()